Skip to main content
GET
/
v2
/
members
/
{id}
/
roles
Get Member Roles
curl --request GET \
  --url https://app.textql.com/v2/members/{id}/roles \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.textql.com/v2/members/{id}/roles"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.textql.com/v2/members/{id}/roles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "member_id": "<string>",
  "roles": [
    {
      "id": "80de0196-496f-44fe-9d4c-8013b3b44082",
      "name": "analyst",
      "description": "<string>",
      "is_system": true,
      "is_scim_managed": true,
      "created_at": "2026-07-06T19:30:00Z",
      "updated_at": "2026-07-06T19:30:00Z"
    }
  ]
}
{
"error": {
"code": "invalid_request",
"message": "Invalid request body"
}
}
{
"error": {
"code": "unauthenticated",
"message": "Authentication required"
}
}
{
"error": {
"code": "permission_denied",
"message": "Insufficient permissions"
}
}
{
"error": {
"code": "rate_limit_exceeded",
"message": "Rate limit exceeded"
}
}
{
"error": {
"code": "internal",
"message": "Internal server error"
}
}

Authorizations

Authorization
string
header
required

API key or JWT token

Path Parameters

id
string<uuid>
required

Member ID

Response

The member's roles

member_id
string
roles
object[]